Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2219964 - F39FailsToInstall: copr-dist-git
Summary: F39FailsToInstall: copr-dist-git
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: copr-dist-git
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F39FailsToInstall F40FailsToInstall F40FTBFS PYTHON3.12
TreeView+ depends on / blocked
 
Reported: 2023-07-05 19:03 UTC by Fedora Fails To Install
Modified: 2023-08-15 21:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-15 21:19:02 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Fails To Install 2023-07-05 19:03:08 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (copr-dist-git) Fails To Install in Fedora 39:

can't install copr-dist-git:
  - nothing provides python(abi) = 3.11 needed by copr-dist-git-0.66-1.fc39.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-39-x86_64 --config-opts mirrored=False install copr-dist-git


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Fails To Install 2023-07-13 11:39:10 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 7+ weeks.
This is the first reminder (step 3) from the policy.

Don't hesitate to ask for help on devel.org if you are unsure how to fix this bug.

Comment 2 Tomáš Hrnčiar 2023-07-17 08:36:45 UTC
=================================== FAILURES ===================================
_________________________ TestImporter.test_do_import __________________________
self = <test_importer.TestImporter object at 0x3ffa9dab3b0>
mc_import_package = <MagicMock name='import_package' id='4396599864560'>
mc_helpers = <MagicMock name='helpers' id='4396599860240'>
    def test_do_import(self, mc_import_package, mc_helpers):
        mc_helpers.download_file = MagicMock(return_value='somepath.src.rpm')
        mc_import_package.return_value = Munch(
            pkg_name='foo',
            pkg_evr='1.2',
            reponame='foo',
            branch_commits={self.BRANCH: '123', self.BRANCH2: '124'}
        )
        self.importer.post_back_safe = MagicMock()
        self.importer.do_import(self.url_task)
    
        assert mc_import_package.call_args[0][0] == self.opts
        assert mc_import_package.call_args[0][1] == self.url_task.repo_namespace
        assert mc_import_package.call_args[0][2] == self.url_task.branches
        assert mc_import_package.call_args[0][3] == 'somepath.src.rpm'
    
>       print(self.importer.post_back_safe.has_calls([
            mock.call({'build_id': 125, 'pkg_name': 'foo', 'branch': self.BRANCH,
                       'pkg_version': '1.2', 'git_hash': '123', 'repo_name': 'foo'}),
            mock.call({'build_id': 125, 'pkg_name': 'foo', 'branch': self.BRANCH2,
                       'pkg_version': '1.2', 'git_hash': '124', 'repo_name': 'foo'})
        ]))
tests/test_importer.py:122: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
self = <MagicMock id='4396605213728'>, name = 'has_calls'
    def __getattr__(self, name):
        if name in {'_mock_methods', '_mock_unsafe'}:
            raise AttributeError(name)
        elif self._mock_methods is not None:
            if name not in self._mock_methods or name in _all_magics:
                raise AttributeError("Mock object has no attribute %r" % name)
        elif _is_magic(name):
            raise AttributeError(name)
        if not self._mock_unsafe and (not self._mock_methods or name not in self._mock_methods):
            if name.startswith(('assert', 'assret', 'asert', 'aseert', 'assrt')) or name in _ATTRIB_DENY_LIST:
>               raise AttributeError(
                    f"{name!r} is not a valid assertion. Use a spec "
                    f"for the mock if {name!r} is meant to be an attribute.")
E               AttributeError: 'has_calls' is not a valid assertion. Use a spec for the mock if 'has_calls' is meant to be an attribute.
/usr/lib64/python3.12/unittest/mock.py:663: AttributeError

Comment 3 Jakub Kadlčík 2023-07-26 00:03:22 UTC
We plan to work on this issue during this sprint
https://github.com/fedora-copr/copr/issues/2811

Comment 4 Pavel Raiskup 2023-08-01 14:31:34 UTC
This is going to be automatically fixed with the new Copr release
https://github.com/fedora-copr/copr/issues/2824 - it will have the
fix from https://github.com/fedora-copr/copr/pull/2827


Note You need to log in before you can comment on or make changes to this bug.